VACATION(1)

NAME
vacation - return ``I am not here'' indication

SYNOPSIS
vacation -i [-r interval]
[-a alias] login

DESCRIPTION
vacation returns a message to the sender of a message telling them that you are currently not reading your mail. The intended use is in a .forward file. For example, your .forward file might have:

    \eric, "|/usr/bin/vacation -a allman eric"

which would send messages to you (assuming your login name was eric) and reply to any messages for “eric” or “allman”.

Available options:

-a alias
    Handle messages for alias in the same manner as those received for the user's login name.

-i  Initialize the vacation database files. It should be used before you modify your .forward file.

-r  Set the reply interval to interval days. The default is one week. An interval of “0” means that a reply is sent to each message, and an interval of “infinite” (actually, any non-numeric character) will never send more than one reply. It should be noted that intervals of “0” are quite dangerous, as it allows mailers to get into “I am on vacation” loops.

No message will be sent unless login (or an alias supplied using the -a option) is part of either the “To:” or “Cc:” headers of the mail. No messages from “???-REQUEST”, “Postmaster”, “UUCP”, “MAILER”, or “MAILER-DAEMON” will be replied to (where these strings are case insensitive) nor is a notification sent if a “Precedence: bulk” “Precedence: list” or “Precedence: junk” line is included in the mail headers. The people who have sent you messages are maintained as a db(3) database in the file .vacation.db in your home directory.

vacation expects a file .vacation.msg, in your home directory, containing a message to be sent back to each sender. It should be an entire message (including headers). For example, it might contain:

    From: eric@CS.Berkeley.EDU (Eric Allman)
    Subject: I am on vacation
    Delivered-By-The-Graces-Of: The Vacation program
    Precedence: bulk
    I am on vacation until July 22.  If you have something urgent,
    please contact Keith Bostic <bostic@CS.Berkeley.EDU>.
    --eric

vacation reads the first line from the standard input for a UNIX “From” line to determine the sender. Sendmail(8) includes this “From” line automatically.

Fatal errors, such as calling vacation with incorrect arguments, or with non-existent logins, are logged in the system log file, using syslog(3).

FILES
~/.vacation.db
    database file
~/.vacation.msg
    message to send

SEE ALSO
syslog(3), sendmail(8)

HISTORY
The vacation command appeared in 4.3BSD.